> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Available Departments by Unit Id >
Enterprise
Permission required: `manage-livechat-units` ## OpenAPI ````json GET /api/v1/livechat/units/{unitId}/departments/available { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/units/{unitId}/departments/available": { "parameters": [ { "schema": { "type": "string" }, "name": "unitId", "in": "path", "required": "true", "description": "The unit ID." } ], "get": { "summary": "Get Available Departments by Unit Id", "operationId": "get-api-v1-livechat-units-unitId-departments-available", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "departments": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "enabled": { "type": "boolean" }, "name": { "type": "string" }, "description": { "type": "string" }, "showOnRegistration": { "type": "boolean" }, "showOnOfflineForm": { "type": "boolean" }, "requestTagBeforeClosingChat": { "type": "boolean" }, "email": { "type": "string" }, "chatClosingTags": { "type": "array", "items": { "type": "object", "properties": {} } }, "offlineMessageChannelName": { "type": "string" }, "abandonedRoomsCloseCustomMessage": { "type": "string" }, "waitingQueueMessage": { "type": "string" }, "departmentsAllowedToForward": { "type": "array", "items": { "type": "object", "properties": {} } }, "fallbackForwardDepartment": { "type": "string" }, "_updatedAt": { "type": "string" }, "numAgents": { "type": "integer" }, "type": { "type": "string" }, "ancestors": { "type": "array", "items": { "type": "string" } }, "parentId": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "departments": [ { "_id": "64181a0728384134ed600dcc", "enabled": "false", "name": "Missing Money", "description": "", "showOnRegistration": "false", "showOnOfflineForm": "false", "requestTagBeforeClosingChat": "false", "email": "test@test.com", "chatClosingTags": [], "offlineMessageChannelName": "Livestream", "abandonedRoomsCloseCustomMessage": "", "waitingQueueMessage": "", "departmentsAllowedToForward": [], "fallbackForwardDepartment": "", "_updatedAt": "2023-11-29T12:48:03.843Z", "numAgents": "3", "type": "d", "ancestors": [ "6567236571f856761e61c9a2" ], "parentId": "6567236571f856761e61c9a2" } ], "count": "1", "offset": "0", "total": "1", "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } }, "description": "
\"Enterprise\"
\n\nPermission required: `manage-livechat-units`", "tags": [ "Omnichannel Units" ], "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "schema": { "type": "string" }, "in": "query", "name": "text", "description": "Filter the result with the text." }, { "schema": { "type": "boolean" }, "in": "query", "name": "onlyMyDepartments", "description": "Whether you want the result for the departments that you are part of." } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": "false", "error": "unauthorized" } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "required": "false", "schema": { "type": "integer" }, "example": "50", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "count": { "name": "count", "in": "query", "required": "false", "schema": { "type": "integer" }, "example": "25", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." } } } } ````